#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 37. LXDE Desktop

- Prev

  lxmenu-data-0.1.5

- Next

  menu-cache-1.1.0

- Up
- Home

# libfm-extra-1.3.2

## Introduction to libfm-extra

The libfm-extra package contains a library and other files required by menu-cache-gen libexec of menu-cache-1.1.0.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/pcmanfm/libfm-1.3.2.tar.xz

- Download MD5 sum: c87a0ff41ae77825079b2f785ec0741e

- Download size: 924 KB

- Estimated disk space required: 11 MB

- Estimated build time: less than 0.1 SBU

### libfm-extra Dependencies

#### Required

GLib-2.70.4

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libfm-extra

## Installation of libfm-extra

Install libfm-extra by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --with-extra-only \
                --with-gtk=no     \
                --disable-static  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--with-extra-only`: This switch disables all components except for the libfm-extra library.

`--with-gtk=no`: This switch disables support for GTK+ because it is not necessary for this package.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libfm-extra.so
Installed Directories: /usr/include/libfm (symlink) and /usr/include/libfm-1.0

### Short Descriptions

`libfm-extra.so` | contains the libfm-extra API functions

Last updated on

- Prev

  lxmenu-data-0.1.5

- Next

  menu-cache-1.1.0

- Up
- Home